﻿using UnityEngine;
using System.Collections;
using XInputDotNetPure;

public class PlayerButtons : MonoBehaviour {

	public int PlayerNumber = 1;
	
	public void SetPlayerNumber(int number)
	{
		PlayerNumber = number;
		Debug.Log("PlayerButtons PlayerNumber: " + PlayerNumber);
	}

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
		GamePadState state = GamePad.GetState ((PlayerIndex)(PlayerNumber-1));
		if (state.Buttons.A == ButtonState.Pressed)
		{
			SendMessage("Jump");
		}
		else
		{
			SendMessage("StopJump");
		}

		SendMessage ("LeftThumbStick", new Vector2(state.ThumbSticks.Left.X, state.ThumbSticks.Left.Y));
		//SendMessage ("RightThumbStick", new Vector2(state.ThumbSticks.Right.X, state.ThumbSticks.Right.Y));
	}
}
