﻿using UnityEngine;
using System.Collections;

public class GameLogic : MonoBehaviour {

	public string NextLevel;
	int PlayersFinished = 0;

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
	
	}

	public void IncPlayerFinishedCount()
	{
		PlayersFinished++;
		if (2 == PlayersFinished)
			EndLevel();
	}

	public void DecPlayerFinishedCount()
	{
		PlayersFinished--;
	}

	public void EndLevel()
	{
		if (null != NextLevel && NextLevel.Length > 0)
			Application.LoadLevel(NextLevel);
		else
			Application.LoadLevel(0);
	}
}
