﻿using UnityEngine;
using System.Collections;

public class PlayerDestination : MonoBehaviour {

	public int PlayerNumber = 1;

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
	
	}

	void OnTriggerEnter(Collider other)
	{
		Debug.Log ("Trigger touched");
		GameObject scripts = GameObject.Find ("GameScripts");
		GameLogic logic = (GameLogic)scripts.GetComponent(typeof(GameLogic));

		PlayerInfo player = other.GetComponent (typeof(PlayerInfo)) as PlayerInfo;
		if (null != player)
		{
			if (player.PlayerNumber == PlayerNumber)
			{
				logic.IncPlayerFinishedCount();
			}
		}
	}
	
	void OnTriggerExit(Collider other)
	{
		Debug.Log ("Trigger touched");
		GameObject scripts = GameObject.Find ("GameScripts");
		GameLogic logic = (GameLogic)scripts.GetComponent(typeof(GameLogic));
		
		PlayerInfo player = other.GetComponent (typeof(PlayerInfo)) as PlayerInfo;
		if (null != player)
		{
			if (player.PlayerNumber == PlayerNumber)
			{
				logic.DecPlayerFinishedCount();
			}
		}
	}
}
